package com.jiuqi.db;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.SQLWarning;
import java.sql.Statement;

/* loaded from: com_jiuqi_db.jar:com/jiuqi/db/DBStatement.class */
public class DBStatement implements Statement {
    private Statement stmt;
    private Connection conn;

    public DBStatement(Statement aStmt, Connection aConn) {
        this.stmt = aStmt;
        this.conn = aConn;
        DBTrace.createConnection(this);
    }

    @Override // java.sql.Statement
    public ResultSet executeQuery(String string) throws SQLException {
        ResultSet rs = this.stmt.executeQuery(string);
        return new DBResultSet(this, rs);
    }

    @Override // java.sql.Statement
    public int executeUpdate(String string) throws SQLException {
        return this.stmt.executeUpdate(string);
    }

    @Override // java.sql.Statement, java.lang.AutoCloseable
    public void close() throws SQLException {
        this.stmt.close();
        DBTrace.closeConnection(this);
    }

    @Override // java.sql.Statement
    public int getMaxFieldSize() throws SQLException {
        return this.stmt.getMaxFieldSize();
    }

    @Override // java.sql.Statement
    public void setMaxFieldSize(int int0) throws SQLException {
        this.stmt.setMaxFieldSize(int0);
    }

    @Override // java.sql.Statement
    public int getMaxRows() throws SQLException {
        return this.stmt.getMaxRows();
    }

    @Override // java.sql.Statement
    public void setMaxRows(int int0) throws SQLException {
        this.stmt.setMaxRows(int0);
    }

    @Override // java.sql.Statement
    public void setEscapeProcessing(boolean boolean0) throws SQLException {
        this.stmt.setEscapeProcessing(boolean0);
    }

    @Override // java.sql.Statement
    public int getQueryTimeout() throws SQLException {
        return this.stmt.getQueryTimeout();
    }

    @Override // java.sql.Statement
    public void setQueryTimeout(int int0) throws SQLException {
        this.stmt.setQueryTimeout(int0);
    }

    @Override // java.sql.Statement
    public void cancel() throws SQLException {
        this.stmt.cancel();
    }

    @Override // java.sql.Statement
    public SQLWarning getWarnings() throws SQLException {
        return this.stmt.getWarnings();
    }

    @Override // java.sql.Statement
    public void clearWarnings() throws SQLException {
        this.stmt.clearWarnings();
    }

    @Override // java.sql.Statement
    public void setCursorName(String string) throws SQLException {
        this.stmt.setCursorName(string);
    }

    @Override // java.sql.Statement
    public boolean execute(String string) throws SQLException {
        return this.stmt.execute(string);
    }

    @Override // java.sql.Statement
    public ResultSet getResultSet() throws SQLException {
        return this.stmt.getResultSet();
    }

    @Override // java.sql.Statement
    public int getUpdateCount() throws SQLException {
        return this.stmt.getUpdateCount();
    }

    @Override // java.sql.Statement
    public boolean getMoreResults() throws SQLException {
        return this.stmt.getMoreResults();
    }

    @Override // java.sql.Statement
    public void setFetchDirection(int int0) throws SQLException {
        this.stmt.setFetchDirection(int0);
    }

    @Override // java.sql.Statement
    public int getFetchDirection() throws SQLException {
        return this.stmt.getFetchDirection();
    }

    @Override // java.sql.Statement
    public void setFetchSize(int int0) throws SQLException {
        this.stmt.setFetchSize(int0);
    }

    @Override // java.sql.Statement
    public int getFetchSize() throws SQLException {
        return this.stmt.getFetchSize();
    }

    @Override // java.sql.Statement
    public int getResultSetConcurrency() throws SQLException {
        return this.stmt.getResultSetConcurrency();
    }

    @Override // java.sql.Statement
    public int getResultSetType() throws SQLException {
        return this.stmt.getResultSetType();
    }

    @Override // java.sql.Statement
    public void addBatch(String string) throws SQLException {
        this.stmt.addBatch(string);
    }

    @Override // java.sql.Statement
    public void clearBatch() throws SQLException {
        this.stmt.clearBatch();
    }

    @Override // java.sql.Statement
    public int[] executeBatch() throws SQLException {
        return this.stmt.executeBatch();
    }

    @Override // java.sql.Statement
    public Connection getConnection() throws SQLException {
        return this.conn;
    }

    @Override // java.sql.Statement
    public boolean getMoreResults(int int0) throws SQLException {
        return this.stmt.getMoreResults(int0);
    }

    @Override // java.sql.Statement
    public ResultSet getGeneratedKeys() throws SQLException {
        return this.stmt.getGeneratedKeys();
    }

    @Override // java.sql.Statement
    public int executeUpdate(String sql, int autoGeneratedKeys) throws SQLException {
        return this.stmt.executeUpdate(sql, autoGeneratedKeys);
    }

    @Override // java.sql.Statement
    public int executeUpdate(String sql, int[] columnIndexes) throws SQLException {
        return this.stmt.executeUpdate(sql, columnIndexes);
    }

    @Override // java.sql.Statement
    public int executeUpdate(String sql, String[] columnNames) throws SQLException {
        return this.stmt.executeUpdate(sql, columnNames);
    }

    @Override // java.sql.Statement
    public boolean execute(String sql, int autoGeneratedKeys) throws SQLException {
        return this.stmt.execute(sql, autoGeneratedKeys);
    }

    @Override // java.sql.Statement
    public boolean execute(String sql, int[] columnIndexes) throws SQLException {
        return this.stmt.execute(sql, columnIndexes);
    }

    @Override // java.sql.Statement
    public boolean execute(String sql, String[] columnNames) throws SQLException {
        return this.stmt.execute(sql, columnNames);
    }

    @Override // java.sql.Statement
    public int getResultSetHoldability() throws SQLException {
        return this.stmt.getResultSetHoldability();
    }
}
